(function($) {
jQuery(document).ready(function($) {

	$('#gclf-sb #cat').attr('multiple', 'multiple');

	//radios
	$('#gclf-sb .radio-i label, #gclf-sb .radio-no-i label').click(function() {
			$(this).css('background-color', '#008ec2');
			$(this).css('color', '#ffffff');
			$(this).siblings('label').css('background-color', '#e5e5e5');
			$(this).siblings('label').css('color', 'inherit');
	});

	//checkboxes
	$('#gclf-sb .checks label').click(function() {
		if ($(this).children('input').is(':checked')) {
			$(this).css('background-color', '#008ec2');
			$(this).css('color', '#ffffff');
		} else {
			$(this).css('background-color', '#e5e5e5');
			$(this).css('color', 'inherit');
		}
	});

	//Display Type
	$('#gclf-sb #tabs-1 input').change(function() {
		if ($(this).val() == 'grid') {
			$('.grid').show();
		} else {
			$('.grid').hide();
		}

		if ($(this).val() == 'carousel') {
			$('.carousel').show();
			$('.not-carousel').hide();
		} else {
			$('.carousel').hide();
			$('.not-carousel').show();
		}
	});

	$('input[name=gclf-num]').change(function() {
		var value = $(this).val();
		if ($.isNumeric(value) || value == '' || value == 'all') {
			return;
		} else {
			alert('You must enter a number.');
			$(this).val("");
		}
	});

	$('input[name=gclf-title-size]').change(function() {
		var value = $(this).val();
		if ($.isNumeric(value) || value == '') {
			return;
		} else {
			alert('You must enter a number.');
			$(this).val("");
		}
	});

	$('input[name=gclf-desc-size]').change(function() {
		var value = $(this).val();
		if ($.isNumeric(value) || value == '') {
			return;
		} else {
			alert('You must enter a number.');
			$(this).val("");
		}
	});

	$('#gclf-sb input, #gclf-sb select').change(function() {
		var sc = '[gc_links_page';

		if (typeof $('input[name=gclf-display]:checked').val() != 'undefined') {
		sc += ' display="'+$('input[name=gclf-display]:checked').val()+'"';
		}

		if (typeof $('input[name=gclf-columns]:checked').val() != 'undefined') {
		sc += ' cols="'+$('input[name=gclf-columns]:checked').val()+'"';
		}

		if (typeof $('input[name=gclf-order]:checked').val() != 'undefined') {
		sc += ' orderby="'+$('input[name=gclf-order]:checked').val()+'"';
		}

		if (typeof $('input[name=gclf-orderby]:checked').val() != 'undefined') {
		sc += ' order="'+$('input[name=gclf-orderby]:checked').val()+'"';
		}

		if (typeof $('input[name=gclf-image]:checked').val() != 'undefined') {
		sc += ' image="'+$('input[name=gclf-image]:checked').val()+'"';
		}

		if (typeof $('input[name=gclf-image-size]:checked').val() != 'undefined') {
		sc += ' img_size="'+$('input[name=gclf-image-size]:checked').val()+'"';
		}

		var is = '';
		if (typeof $('input[name=gclf-image-style]:checked').val() != 'undefined') {
			$('input[name=gclf-image-style]:checked').each(function () {
				if ($(this).val() == 'border') {
					is += 'border: 3px solid black; ';
				}
				if ($(this).val() == 'shadow') {
					is += 'box-shadow: 0 5px 10px 0 rgba(0,0,0,0.2),0 5px 15px 0 rgba(0,0,0,0.19);';
				}
			});
		}

		if (is != '') {
			sc += ' img_style="'+is+'"';
		}

		var ts = '';
		if (typeof $('input[name=gclf-title-style]:checked').val() != 'undefined') {
			$('input[name=gclf-title-style]:checked').each(function () {
				if ($(this).val() == 'bold') {
					ts += 'font-weight: bold; ';
				}
				if ($(this).val() == 'italic') {
					ts += 'font-style: italic; ';
				}
				if ($(this).val() == 'underline') {
					ts += 'text-decoration: underline; ';
				}
			});
		}
		if ($('input[name=gclf-title-size]').val() != '') {
			ts += 'font-size: '+$('input[name=gclf-title-size]').val()+'px; ';
		}
		if (typeof $('input[name=gclf-title-align]:checked').val() != 'undefined') {
			ts += 'text-align: '+$('input[name=gclf-title-align]:checked').val();
		}

		if (ts != '') {
			sc += ' title_style="'+ts+'"';
		}

		if (typeof $('input[name=gclf-desc]:checked').val() != 'undefined') {
		sc += ' desc="'+$('input[name=gclf-desc]:checked').val()+'"';
		}

		// 描述
		if (typeof $('input[name=gclf-description_link]:checked').val() != 'undefined') {
		sc += ' description_link="'+$('input[name=gclf-description_link]:checked').val()+'"';
		}

		// 描述的样式
		var ds = '';
		if (typeof $('input[name=gclf-desc-style]:checked').val() != 'undefined') {
			$('input[name=gclf-desc-style]:checked').each(function () {
				if ($(this).val() == 'bold') {
					ds += 'font-weight: bold; ';
				}
				if ($(this).val() == 'italic') {
					ds += 'font-style: italic; ';
				}
				if ($(this).val() == 'underline') {
					ds += 'text-decoration: underline; ';
				}
			});
		}
		if ($('input[name=gclf-desc-size]').val() != '') {
			ds += 'font-size: '+$('input[name=gclf-desc-size]').val()+'px; ';
		}
		if (typeof $('input[name=gclf-desc-align]:checked').val() != 'undefined') {
			ds += 'text-align: '+$('input[name=gclf-desc-align]:checked').val();
		}

		if (ds != '') {
			sc += ' desc_style="'+ds+'"';
		}

		// 分类
		var ss = '';
		if (typeof $('input[name=gclf-sort]:checked').val() != 'undefined') {
			$('input[name=gclf-sort]:checked').each(function () {
				ss += $(this).val()+',';
			});

		}
		if (ss != '') {
			sc += ' sort="'+ss.substr(0,ss.length-1)+'"';
		}

		sc += ']';
		$('#final-shortcode').val(sc);
	});


});
})(jQuery);
